## org.eclipse.emf.mint
Enum IItemJavaElementDescriptor.Kind

    java.lang.Object
      java.lang.Enum<IItemJavaElementDescriptor.Kind>
          org.eclipse.emf.mint.IItemJavaElementDescriptor.Kind

All Implemented Interfaces:
  Serializable, Comparable<IItemJavaElementDescriptor.Kind>

Enclosing interface:
  IItemJavaElementDescriptor

    public static enum IItemJavaElementDescriptor.Kind

extends Enum<IItemJavaElementDescriptor.Kind>

Descriptor kind.

Enum Constant Summary
`JAVA_ELEMENT` Descriptor represents a `IJavaElement`.
`JAVA_TYPE_REFERENCE` Descriptor represents a `IJavaTypeReference`.
`NON_JAVA_RESOURCE` Descriptor represents a non-Java element (e.g., a `IResource`).

Method Summary
`static IItemJavaElementDescriptor.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IItemJavaElementDescriptor.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAVA_ELEMENT

    public static final IItemJavaElementDescriptor.Kind JAVA_ELEMENT

  Descriptor represents a `IJavaElement`.

  See Also:
    `IItemJavaElementDescriptor.getJavaElement(Object)`

### JAVA_TYPE_REFERENCE

    public static final IItemJavaElementDescriptor.Kind JAVA_TYPE_REFERENCE

  Descriptor represents a `IJavaTypeReference`.

  See Also:
    `IItemJavaElementDescriptor.getJavaTypeReference(Object)`

### NON_JAVA_RESOURCE

    public static final IItemJavaElementDescriptor.Kind NON_JAVA_RESOURCE

  Descriptor represents a non-Java element (e.g., a `IResource`).

  See Also:
    `IItemJavaElementDescriptor.getNonJavaElement(Object)`

Method Detail

### values

    public static final IItemJavaElementDescriptor.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IItemJavaElementDescriptor.Kind c : IItemJavaElementDescriptor.Kind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IItemJavaElementDescriptor.Kind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.